Closed Bug 1660548 Opened 3 months ago Closed 3 months ago

Don't globally install Python linting packages

Categories

(Firefox Build System :: General, task)

task

Tracking

(firefox82 fixed)

RESOLVED FIXED
82 Branch
Tracking Status
firefox82 --- fixed

People

(Reporter: rstewart, Assigned: rstewart)

Details

Attachments

(1 file)

No description provided.

flake8, black, and pylint are all installed in virtualenvs when running mach lint, so installing these packages globally on image setup isn't necessary.

Assignee: nobody → rstewart
Status: NEW → ASSIGNED
Pushed by rstewart@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/9d3523d1354f
Don't globally install Python packages for linting r=ahal
Status: ASSIGNED → RESOLVED
Closed: 3 months ago
Resolution: --- → FIXED
Target Milestone: --- → 82 Branch
You need to log in before you can comment on or make changes to this bug.